Subject: [RFC PATCH 07/15] ARM: exynos: fixup debug macros for big-endian

From: [email-masked] (Krzysztof Kozlowski)
Date: Fri, 10 Jun 2016 15:04:52 +0200

On 06/10/2016 03:02 PM, Ben Dooks wrote:
> On 10/06/16 12:16, Krzysztof Kozlowski wrote:
>> On 06/10/2016 01:12 PM, Ben Dooks wrote:
>>> On 08/06/16 19:31, Matthew Leach wrote:
>>>> From: Ben Dooks <[email-masked]>
>>>>
>>>> The exynos low-level debug macros need to be fixed if the system is being
>>>> built big endian. Add the necessary endian swaps for accessing the registers
>>>> to get output working again
>>>>
>>>> Signed-off-by: Ben Dooks <[email-masked]>
>>>> ---
>>>>  arch/arm/include/debug/samsung.S | 8 ++++++++
>>>>  1 file changed, 8 insertions(+)
>>>
>>> Should this go via the maintainer or to RMK?
>>>
>>> If to RMK, then shall I get it submitted (and does anyone else
>>> want to ack?)
>>
>> If there are no objections, I can take it through samsung-soc with other
>> arch/arm/mach-exynos* patches.
>>
>> What I am missing here, is Matthew's Signed-off-by.
>>
>> Matthew, you touched and sent the patch so could you add the Sob?
> 
> I've asked Matthew to re-send the core patches with the signed-off
> sorted out.

Thanks.

> He can also put them on a public facing git server if
> that would be helpful.

No need. I think it will go through separate trees anyway. Except the
change adding ARCH_SUPPORTS_BIG_ENDIAN, I don't see any dependencies.

As for the ARCH_SUPPORTS_BIG_ENDIAN, I think it should be applied when
all necessary drivers are fixed.

Best regards,
Krzysztof